/* (C) 2022 YiRing, Inc. */
package com.yiring.app.domain.location;

import java.io.Serializable;
import java.util.List;
import java.util.Set;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

/**
 * 定位标签JPA
 * @author LJ-2204
 * 2022/4/14
 */

@Repository
public interface LocationTagRepository
    extends JpaRepository<LocationTag, Serializable>, JpaSpecificationExecutor<LocationTag> {
    /**
     * 根据标签号集合查询标签集合
     * @param codes 标签号集合
     * @return 标签集合
     */
    List<LocationTag> findByCodeIn(Set<String> codes);
}
